# $Revision: 1.165.2.2 $, $Date: 2007/03/27 22:18:04 $
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_with	kernel24	# force using kernel24 headers
%bcond_without	up		# don't build UP module
%bcond_without	smp		# don't build SMP module
%bcond_without	userspace	# don't build userspace packages
%bcond_with	grsec_kernel	# build for kernel-grsecurity
#
%if %{with kernel} && %{with dist_kernel} && %{with grsec_kernel}
%define	alt_kernel	grsecurity
%endif
#
%if %{with kernel}
%if %{with kernel24}
%define		_kernelsrcdir	/usr/src/linux-2.4
%endif
%define	kernel26 %(echo %{_kernel_ver} | grep -q '2\.[0-4]\.' ; echo $?)
%if %{kernel26}
%define	k24	%{nil}
%ifarch sparc
%undefine	with_smp
%endif
%else
%define	k24	24
%endif
%else
%define	kernel26 1
%define	k24	%{nil}
%undefine	with_dist_kernel
%endif
%define	_rel	6
Summary:	Library for full screen [S]VGA graphics
Summary(de):	Library fr Vollbildschirm-[S]VGA-Grafiken
Summary(es):	Biblioteca para grficos en pantalla llena [S]VGA
Summary(fr):	Une librairie graphique SVGA plein ecran de bas niveau
Summary(pl):	Biblioteki dla penoekranowej grafiki [S]VGA
Summary(pt_BR):	Biblioteca para grficos em tela cheia [S]VGA
Summary(ru):	   SVGA 
Summary(tr):	Tam-ekran [S]VGA izimleri kitapl
Summary(uk):	Ҧ ¦̦ ϧ SVGA Ʀ
Name:		svgalib
Version:	1.9.25
Release:	%{_rel}
License:	distributable
Group:		Libraries
Source0:	http://www.arava.co.il/matan/svgalib/%{name}-%{version}.tar.gz
# Source0-md5:	4dda7e779e550b7404cfe118f1d74222
Patch0:		%{name}-pld.patch
Patch1:		%{name}-tmp2TMPDIR.patch
Patch2:		%{name}-DESTDIR.patch
Patch3:		%{name}-smp.patch
Patch4:		%{name}-threeDKit-make.patch
Patch5:		%{name}-svgalib_helper_Makefile.patch
Patch6:		%{name}-link.patch
Patch7:		%{name}-module-alias.patch
Patch8:		%{name}-sparc.patch
Patch9:		%{name}-depend.patch
Patch10:	%{name}-ppc_memset.patch
Patch11:	%{name}-no-sys-io.patch
Patch12:	%{name}-linux-2.4.patch
Patch13:	%{name}-no-asm-segment.patch
URL:		http://www.arava.co.il/matan/svgalib/
%if %{with kernel} && %{with dist_kernel}
%if %{kernel26}
BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.0
%else
BuildRequires:	kernel24-headers >= 2.4.0
%endif
%endif
BuildRequires:	rpmbuild(macros) >= 1.308
# no sparc64 yet acc. to changelog
# kernel module requires at least sys32_ioctl translation function
# (isn't required for 32-bit userland on x86_64 too?)
ExclusiveArch:	%{ix86} %{x8664} alpha arm hppa ia64 m68k mips ppc sparc sparcv9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/vga
%define		specflags	-fomit-frame-pointer

%if %{kernel26}
%define	kmodext	ko
%else
%define	kmodext	o
%endif

%description
The svgalib package provides the SVGAlib low-level graphics library
for Linux. SVGAlib is a library which allows applications to use full
screen graphics on a variety of hardware platforms. Many games and
utilities use SVGAlib for their graphics.

%description -l de
SVGAlib ist eine Library, die es Applikationen gestattet, auf einer
Reihe von Plattformen Vollbild-Grafiken zu benutzen. Viele Games und
Utilities nutzen diese Library fr den Grafikzugriff, da sie fr
Maschinen mit wenig Speicher besser geeignet ist als X-Window.

%description -l es
SVGAlib es una biblioteca que permite a las aplicaciones usar grficos
de pantalla llena en una variedad de plataformas de hardware. Muchos
juegos y utilitarios son puestos a disposicin para usar la SVGAlib
para acceso a grficos, pues es ms indicado en mquinas con poca
memoria para ejecutar un sistema X Window.

%description -l fr
Le package svgalib apporte la librairie graphique SVGAlib de bas
niveau pour Linux. SVGAlib est une librairie qui permet aux
applications d'utiliser des graphismes en plein cran sur diverses
plateformes matrielles. De nombreux jeux et utilitaires utilisent
SVGAlib pour leurs graphismes.

%description -l pl
Biblioteki dla penoekranowej grafiki [S]VGA. Wiele gier i programw
uytkowych korzysta z tych bibliotek, gdy wymagaj mniej pamici ni
X Window System.

%description -l pt_BR
SVGAlib  uma biblioteca que permite a aplicaes usar grficos de
tela cheia em uma variedade de plataformas de hardware. Muitos jogos e
utilitrios so disponibilizados para usar a SVGAlib para acesso a
grficos, pois ele  mais indicado em mquinas com pouca memria para
rodar um sistema X Window.

%description -l ru
   SVGAlib   
  VGA  SVGA  . SVGAlib 
     
 .

    ,  SVGAlib  
.     svgalib,   
 .

%description -l tr
SVGAlib, deiik donanm platformlar zerinde, uygulamalarn tam
ekran izim kullanmalarn salayan bir kitaplktr. Az bellekli
makinalar iin X-Window'tan daha uygun olmasnn yansra, pek ok
oyun ve yardmc programlar izim eriimi iin bu kitapl kullanr.

%description -l uk
Ҧ Ʀ ¦̦ SVGAlib դ  
Ʀ  VGA  SVGA  ̦. SVGAlib Цդ
 Ʀ  ҦΦ  .

դ    ̦, ˦  SVGAlib  
Ʀ.  Ȧ   svgalib,   դ
 .

%package devel
Summary:	Development libraries and include files for [S]VGA graphics
Summary(de):	Entwicklungs-Libraries und INCLUDE-Dateien fr (S)VGA-Grafik
Summary(es):	Bibliotecas de desarrollo y archivos de inclusin para grficos [S]VGA
Summary(fr):	Outils pour dvelopper des programmes utilisant SVGAlib
Summary(pl):	Pliki nagwkowe i dokumentacja dla [S]VGA
Summary(pt_BR):	Bibliotecas de desenvolvimento e arquivos de incluso para grficos [S]VGA
Summary(ru):	   ,  SVGAlib
Summary(tr):	[S]VGA grafikleri iin gelitirme kitaplklar ve balk dosyalar
Summary(uk):	   ,   SVGAlib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The svgalib-devel package contains the libraries and header files
needed to build programs which will use the SVGAlib low-level graphics
library.

%description devel -l de
Dies sind die Libraries und Header-Dateien, die zum Erstellen von
Programmen erforderlich sind, die SVGAlib verwenden. Mit SVGAlib
knnen Programme Vollbildgrafiken auf einer Reihe von Plattformen
verwenden, ohne den von X erforderlichen Overhead.

%description devel -l es
Estas son las bibliotecas y archivos de inclusin que son necesarios
para construir programas que usan SVGAlib. Permite que los programas
usen grficos de pantalla llena en una variedad de plataformas de
hardware sin el overhead del X.

%description devel -l fr
Le package svgalib-devel contient les librairies et les fichiers
d'enttes ncessaires pour construire des programmes qui utiliseront
la librairie graphique plein cran de bas-niveau SVGAlib.

%description devel -l pl
Pliki nagwkowe i dokumentacja dla [S]VGA.

%description devel -l pt_BR
Estas so as bibliotecas e arquivos de incluso que so necessrios
para construir programas que usam SVGAlib. SVGAlib permite que
programas usem grficos de tela cheia em uma variedade de plataformas
de hardware sem o overhead do X.

%description devel -l ru
 ,    , 
 SVGAlib. SVGAlib   
       
    X Window.

%description devel -l tr
Bu paket, SVGAlib kitapln kullanan programlar gelitirmek iin
gereken balk dosyalarn ve statik kitaplklar ierir.

%description devel -l uk
 , ȦΦ  Цæ ,  
¦̦ SVGAlib. SVGAlib   צ  
 Ʀ  ҦΦ    
ȦԦ    X Window.

%package static
Summary:	Static [S]VGA graphics librarires
Summary(pl):	Biblioteki statyczne [S]VGA
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com SVGAlib
Summary(ru):	    ,  SVGAlib
Summary(uk):	Φ ¦̦   ,   SVGAlib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static [S]VGA graphics librarires.

%description static -l pl
Biblioteki statyczne [S]VGA.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com SVGAlib.

%description static -l ru
 ,    , 
 SVGAlib. SVGAlib   
       
    X Window.

%description static -l uk
 , ȦΦ  Цæ ,  
¦̦ SVGAlib. SVGAlib   צ  
 Ʀ  ҦΦ    
ȦԦ    X Window.

%package -n kernel%{k24}%{_alt_kernel}-video-svgalib_helper
Summary:	svgalib's helper kernel module
Summary(de):	Svgalibs Helferkernmodul
Summary(es):	Bibliotecas de desarrollo y archivos de inclusin para grficos [S]VGA
Summary(pl):	Pomocniczy modu jdra svgaliba
Summary(pt_BR):	Bibliotecas de desenvolvimento e arquivos de incluso para grficos [S]VGA
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod
Provides:	svgalib-helper = %{version}-%{release}
Obsoletes:	svgalib-helper

%description -n kernel%{k24}%{_alt_kernel}-video-svgalib_helper
This package contains the kernel module necessary to run svgalib-based
programs.

%description -n kernel%{k24}%{_alt_kernel}-video-svgalib_helper -l pl
Ten pakiet zawiera modu jdra potrzebny do uruchamiania programw
opartych na svgalib.

%package -n kernel%{k24}%{_alt_kernel}-smp-video-svgalib_helper
Summary:	svgalib's helper kernel module for SMP
Summary(pl):	Pomoczniczy modu jdra svgalib dla SMP
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod
Provides:	svgalib-helper = %{version}-%{release}
Obsoletes:	svgalib-helper

%description -n kernel%{k24}%{_alt_kernel}-smp-video-svgalib_helper
This package contains the kernel module necessary to run svgalib-based
programs.

%description -n kernel%{k24}%{_alt_kernel}-smp-video-svgalib_helper -l pl
Ten pakiet zawiera modu jdra potrzebny do uruchamiania programw
opartych na svgalib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

# remove backup of svgalib.7 - we don't want it in package
rm -f doc/man7/svgalib.7?*

%build
%if %{with userspace}
%ifarch %{ix86}
NOASM=n
%else
NOASM=y
%endif
MOPT="%{rpmcflags} -pipe"
LDFLAGS="%{rpmldflags}"; export LDFLAGS

%{__make} shared \
	CC="%{__cc}" \
	OPTIMIZE="$MOPT" \
	NO_ASM="$NOASM"

%{__make} -C utils \
	CC="%{__cc}" \
	LDFLAGS="-L../sharedlib $LDFLAGS" \
	OPTIMIZE="$MOPT"

%ifarch %{ix86}
%{__make} -C lrmi-0.6m \
	CC="%{__cc}" \
	CFLAGS="$LDFLAGS $MOPT"
%endif
%{__make} -C threeDKit \
	CC="%{__cc} -L../sharedlib $LDFLAGS $MOPT"
rm -f src/svgalib_helper.h

%{__make} static \
	CC="%{__cc}" \
	OPTIMIZE="$MOPT" \
	NO_ASM="$NOASM"

%{__make} -C threeDKit lib3dkit.a \
	CC="%{__cc} $MOPT" \
	ALLOBJS="\$(OBJECTS)"
%endif

%if %{with kernel}
%if %{kernel26}
cd kernel/svgalib_helper
install -d o/include/linux
ln -sf %{_kernelsrcdir}/config-%{?with_dist_kernel:up}%{!?with_dist_kernel:nondist} o/.config
ln -sf %{_kernelsrcdir}/Module.symvers-%{?with_dist_kernel:up}%{!?with_dist_kernel:nondist} o/Module.symvers
ln -sf %{_kernelsrcdir}/include/linux/autoconf-%{?with_dist_kernel:up}%{!?with_dist_kernel:nondist}.h o/include/linux/autoconf.h
%{__make} -j1 -C %{_kernelsrcdir} O=$PWD/o prepare scripts
%ifarch ppc ppc64
# no longer exists in 2.6.14.x
touch o/include/asm/segment.h
%endif
if grep -q class_simple_create %{_kernelsrcdir}/include/linux/device.h ; then
	CLF=-DCLASS_SIMPLE=1
else
	CLF=
fi
%{__make} -C %{_kernelsrcdir} modules \
	CLASS_CFLAGS="$CLF" \
	SUBDIRS=`pwd` \
	O=`pwd`/o \
	V=1
rm -rf .*.cmd include include2 scripts arch
cd -
%else
%{__make} -C kernel/svgalib_helper -f Makefile.alt \
	CC="%{kgcc}" \
%ifarch sparc64
	LD="ld -m elf64_sparc" \
%endif
	COPT="%{rpmcflags}" \
	INCLUDEDIR=%{_kernelsrcdir}/include
%endif
mv -f kernel/svgalib_helper/svgalib_helper.%{kmodext} \
	 kernel/svgalib_helper-up.%{kmodext}
rm -f kernel/svgalib_helper/*.*o

%if %{with dist_kernel} && %{with smp}
%if %{kernel26}
cd kernel/svgalib_helper
install -d o/include/linux
ln -sf %{_kernelsrcdir}/config-smp o/.config
ln -sf %{_kernelsrcdir}/include/linux/autoconf-smp.h o/include/linux/autoconf.h
ln -sf %{_kernelsrcdir}/Module.symvers-smp Module.symvers
%{__make} -j1 -C %{_kernelsrcdir} O=$PWD/o prepare scripts
%ifarch ppc ppc64
# no longer exists in 2.6.14.x
touch o/include/asm/segment.h
%endif
%{__make} -C %{_kernelsrcdir} modules \
	CLASS_CFLAGS="$CLF" \
	SUBDIRS=`pwd` \
	O=`pwd`/o \
	V=1
cd -
%else
%{__make} -C kernel/svgalib_helper -f Makefile.alt \
	CC="%{kgcc}" \
%ifarch sparc64
	LD="ld -m elf64_sparc" \
%endif
	COPT="%{rpmcflags} -D__KERNEL_SMP" \
	INCLUDEDIR=%{_kernelsrcdir}/include
%endif
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
install -d $RPM_BUILD_ROOT/var/lib/svgalib
%{__make} installheaders installsharedlib installconfig installstaticlib \
	installutils installman lib3dkit-install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir} \
	sharedlibdir=%{_libdir}

install threeDKit/lib3dkit.a $RPM_BUILD_ROOT%{_libdir}

%ifarch %{ix86}
# omitted by main Makefile
install lrmi-0.6m/vga_reset $RPM_BUILD_ROOT%{_bindir}
%endif
%endif

%if %{with kernel}
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install kernel/svgalib_helper-up.%{kmodext} \
	$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/svgalib_helper.%{kmodext}
%if %{with dist_kernel} && %{with smp}
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
install kernel/svgalib_helper/svgalib_helper.%{kmodext} \
	$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/svgalib_helper.%{kmodext}
%endif
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	-n kernel%{k24}%{_alt_kernel}-video-svgalib_helper
%depmod %{_kernel_ver}

%postun -n kernel%{k24}%{_alt_kernel}-video-svgalib_helper
%depmod %{_kernel_ver}

%post	-n kernel%{k24}%{_alt_kernel}-smp-video-svgalib_helper
%depmod %{_kernel_ver}smp

%postun -n kernel%{k24}%{_alt_kernel}-smp-video-svgalib_helper
%depmod %{_kernel_ver}smp

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc doc/{CHANGES*,DESIGN,READ*,TODO} 0-README

%dir %{_sysconfdir}
%dir /var/lib/svgalib
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man[1567]/*
%ifarch %{ix86}
%{_mandir}/man8/mode3.8*
%{_mandir}/man8/vga_reset.8*
%endif

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%if %{with kernel}
%if %{with up} || %{without dist_kernel}
%files -n kernel%{k24}%{_alt_kernel}-video-svgalib_helper
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/svgalib_helper.%{kmodext}*
%endif

%if %{with dist_kernel} && %{with smp}
%files -n kernel%{k24}%{_alt_kernel}-smp-video-svgalib_helper
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/svgalib_helper.%{kmodext}*
%endif
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: svgalib.spec,v $
Revision 1.165.2.2  2007/03/27 22:18:04  glen
- rel 6 (kernel 2.6.16.45)

Revision 1.165.2.1  2007/03/15 23:17:52  glen
- rel 4

Revision 1.165  2007/01/23 19:01:35  hawk
- release 3

Revision 1.164  2006/12/08 14:51:50  hawk
- alt_kernel support, BR: rpm-build-macros >= 1.308
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 2

Revision 1.163  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.162  2006/07/21 08:08:03  qboosh
- updated to 1.9.25, updated pld,DESTDIR patches, removed obsolete linux26 patch

Revision 1.161  2006/07/02 16:11:21  hawk
- oops!

Revision 1.160  2006/07/02 16:10:32  hawk
- release 5

Revision 1.159  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.158  2006/03/17 22:03:42  glen
- rel 4

Revision 1.157  2006/02/18 17:38:27  qboosh
- fixed kernel26 build

Revision 1.156  2006/02/11 14:06:35  arekm
- updated but doesn't build

Revision 1.155  2006/01/26 10:05:01  arekm
- rel 2

Revision 1.154  2006/01/24 20:57:59  qboosh
- typo

Revision 1.153  2006/01/11 20:42:11  qboosh
- updated to 1.9.24
- added linux26 (needed for Linux 2.6.15)
- autoconf-nondist.h support

Revision 1.152  2006/01/09 10:29:55  qboosh
- added no-asm-segment patch
- less noise if building without kernel and kernel headers are not installed

Revision 1.151  2006/01/09 10:05:22  qboosh
- build only UP module for kernel 2.6 on sparc(32)

Revision 1.150  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.149  2005/12/09 13:41:24  qboosh
- hacks for asm-ppc* transition in 2.6.14.x

Revision 1.148  2005/12/09 13:03:26  qboosh
- added linux-2.4 patch, fixed kernel24 builds

Revision 1.147  2005/12/08 14:19:03  qboosh
- added no-sys-io patch

Revision 1.146  2005/10/12 17:46:39  qboosh
- fixed build on 2.6.x with new class_simple interface (buggy test in Makefile)

Revision 1.145  2005/10/12 17:03:17  qboosh
- cleanups related to !dist_kernel

Revision 1.144  2005/10/10 12:24:52  qboosh
- updated to 1.9.23, updated pld,DESTDIR patches, removed obsolete linux26 patch
- package vga_reset program on x86

Revision 1.143  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.142  2005/09/06 18:23:44  arekm
- rel 5

Revision 1.141  2005/05/21 21:55:00  ankry
- tabs

Revision 1.140  2005/05/21 21:09:27  averne
- rel 4

Revision 1.139  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.138  2005/05/06 13:15:26  qboosh
- use _target_base_arch

Revision 1.137  2005/05/02 22:49:30  mmazur
- rel 3; finally builds everywhere

Revision 1.136  2005/05/02 22:21:03  mmazur
- rel 2 for th

Revision 1.135  2005/05/02 16:42:24  mmazur
- added ppc_memset patch

Revision 1.134  2005/04/23 17:31:55  qboosh
- updated to 1.9.21, removed obsolete asm_fix patch

Revision 1.133  2005/04/21 09:04:32  qboosh
- static threeDKit build bugfix, rel 3

Revision 1.132  2005/04/14 14:21:57  qboosh
- added linux26 patch (to make it usable with devfs-enabled 2.6.10+)
- release 2

Revision 1.131  2005/03/21 23:16:46  qboosh
- updated to 1.9.20
- updated pld,DESTDIR,link,depend patches, removed obsolete linux26 patch

Revision 1.130  2005/02/14 23:01:13  adamg
- added asm_fix.patch, release 6

Revision 1.129  2005/02/12 15:23:56  qboosh
- added linux26 patch (Linux 2.6.10 compatibility); release 5

Revision 1.128  2004/10/31 15:32:13  paladine
- spaces->tabs

Revision 1.127  2004/10/19 17:06:23  havner
- rel 4

Revision 1.126  2004/09/16 18:17:12  qboosh
- uh, release 3 to build with both kernel versions

Revision 1.125  2004/08/27 10:45:50  qboosh
- rename kernel 2.4.x modules to kernel24-*
- added bcond to force using kernel24 headers (and thus build kernel24 modules)

Revision 1.124  2004/07/19 22:36:58  qboosh
- added depend patch

Revision 1.123  2004/07/04 15:22:30  qboosh
- release 2: rebuild

Revision 1.122  2004/06/27 16:40:27  qboosh
- ia64 seems supported too - added to EA

Revision 1.121  2004/05/23 01:45:46  qboosh
- tested, works on x86 on 2.6.4 with regparm - release 1

Revision 1.120  2004/05/18 21:06:02  qboosh
- lib64 support (builds on amd64 now)

Revision 1.119  2004/05/18 14:52:44  qboosh
- added sparc patch to fix kernel module build on sparc

Revision 1.118  2004/05/18 12:58:11  qboosh
- builds fine on ppc (at least on 2.4.x), should work acc. to changelog

Revision 1.117  2004/05/18 12:15:01  qboosh
- updated module-alias patch, removed obsolete linux26minor,kernel2.4.24 patches
- use kbuild for 2.6 modules
- probably fixed 2.4.x smp build

Revision 1.116  2004/05/17 22:31:27  qboosh
- started update to 1.9.19, updated DESTDIR,smp patches; NFY, don't touch

Revision 1.115  2004/03/17 23:37:40  qboosh
- REGPARM support for kernel module (ugly, I'll fix it later)

Revision 1.114  2004/01/06 19:42:28  undefine
- patch to allow build on 2.4.24

Revision 1.113  2003/12/06 11:32:48  qboosh
- cosmetics

Revision 1.112  2003/12/06 01:14:58  qboosh
- cleanup, updated module-alias patch to work with 2.6.0-test11 macros

Revision 1.111  2003/12/06 01:06:21  qboosh
- removed obsolete alpha,nolrmi patches
- added bconds to build only kernel modules or userspace packages

Revision 1.110  2003/11/23 21:02:56  speedy
- release 2
- new bcond

Revision 1.109  2003/10/24 09:57:00  gotar
- moved -fomit-frame-pointer to specflags

Revision 1.108  2003/10/08 19:22:17  qboosh
- added linux26-minor patch (needed for Linux >= 2.6.0-test6 - 32-bit dev_t)

Revision 1.107  2003/10/07 19:52:17  qboosh
- 1.9.18, with Linux 2.6 support
- updated DESTDIR, smp, svgalib_helper_Makefile patches
- added link (link libvgagl with libvga etc.) and module-alias (with char-major
  alias and vermagic for 2.6.0-test)

Revision 1.106  2003/08/30 15:53:50  mmazur
- rel 2 for ac

Revision 1.105  2003/08/26 15:03:36  qboosh
- no // in paths, other cosmetics

Revision 1.104  2003/08/02 09:28:04  gotar
- fixed X Window System spelling

Revision 1.103  2003/07/10 14:00:05  trojan
- added using depmod macro

Revision 1.102  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.101  2003/05/25 06:27:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.100  2003/05/15 20:54:05  trojan
- fixed depmod in %post and %postun when build with _without_dist_kernel

Revision 1.99  2003/05/14 14:42:44  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.98  2003/04/11 10:01:37  qboosh
- standardized kernel modules perms (644,root,root)

Revision 1.97  2003/03/23 23:33:08  kloczek
- release 1: added svgalib_helper_Makefile patch (now builds correcly).

Revision 1.96  2003/01/27 22:29:12  radek
- updated Source0 URL and the URL tag

Revision 1.95  2003/01/16 16:34:46  baggins
- 1.9.17
- release 0.1

Revision 1.94  2002/11/17 22:29:38  kloczek
- release 8: rebuild against kernel 2.2.22-6.

Revision 1.93  2002/11/02 11:30:22  ankry
- rel. 7 (rebuild against kernel 2.2.22-4)

Revision 1.92  2002/10/12 16:48:40  kloczek
- fixed %files for gzipped modules.

Revision 1.91  2002/10/12 12:59:47  marcus
- rel.6. (for kernel 2.2.22-3)

Revision 1.90  2002/09/15 19:40:37  kloczek
- release 5: rebuild against kernel 2.2.21-7.

Revision 1.89  2002/08/19 08:26:58  qboosh
- fixed Release

Revision 1.88  2002/08/18 18:02:45  kloczek
- cosmetics.

Revision 1.87  2002/08/14 14:29:01  qboosh
- fixed build on alpha (no idea if works)
- added missing mode3(8) man page on x86
- release 4

Revision 1.86  2002/06/27 10:15:04  kloczek
- removed Conflicts with helper package (no Conflicts and Require for helper).

Revision 1.85  2002/06/26 13:06:13  trojan
- typo

Revision 1.84  2002/06/17 13:46:31  jajcus
- Release: 3
- do not require helper module (Conflicts instead)!
  It is like XFree86-libs requiring Xserver, but much worse,
  because it makes the library dependend on kernel version.

Revision 1.83  2002/06/03 21:36:50  juandon
- use new doc

Revision 1.82  2002/05/08 16:09:35  juandon
- added patch
- added CC= (sometimes in dirty way)
- threeDKit now compiles
- Rel 2
- STBR

Revision 1.81  2002/04/29 20:24:44  qboosh
- up to 1.9.14, updated DESTDIR patch
- removed stderr and banshee patches (fixes included in sources now)
- svgalib_helper won't taint kernel now

Revision 1.80  2002/04/08 22:31:03  qboosh
- up to 1.9.13, updated DESTDIR and stderr patch
- removed obsolete kernver patch (fixed in sources)
- slightly better banshee patch (only one externed static, not written externally)

Revision 1.79  2002/03/23 11:23:14  kloczek
- typo.

Revision 1.78  2002/03/23 11:22:28  kloczek
- release 12: merge translations from Conectiva and KSI.

Revision 1.77  2002/03/21 15:41:25  juandon
- added Requires: svgalib-helper

Revision 1.76  2002/03/17 16:06:25  dzimi
- update release numbers to build with new kernel release

Revision 1.75  2002/03/04 22:37:11  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel.10.

Revision 1.74  2002/02/26 15:34:11  qboosh
- use requires_releq_kernel_{up,smp} macros, release 9

Revision 1.73  2002/02/24 01:28:56  qboosh
- banshee patch - fixes in banshee driver
  (mainly fixed initializing standard and X VGA modes when tdfxfb is used -
   chipset must be switched to VGA-compatibility mode to use these modes)
- release 8

Revision 1.72  2002/02/23 21:39:50  saq
- change Conflicts: wrong-kernel to Requires: right-kernel
- release 7, STBR

Revision 1.71  2002/02/22 23:29:46  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.70  2002/02/20 13:14:34  wiget
typo

Revision 1.69  2002/02/11 01:23:13  kloczek
- adapterized.

Revision 1.68  2002/02/10 19:18:02  marcus
- rel. 6. (for 2.2.20-10 and 2.4)

Revision 1.67  2002/01/18 02:15:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.66  2002/01/09 22:55:06  kloczek
- release 5.

Revision 1.65  2002/01/09 20:40:24  marcus
- fix build UP and SMP (make clean deletes UP module)

Revision 1.64  2002/01/08 23:07:17  marcus
- added cleaning kernel module build directory before building SMP module

Revision 1.63  2002/01/08 22:59:50  marcus
- more fixes for SMP
- rel 4.

Revision 1.62  2002/01/08 22:31:07  marcus
- fixed SMP

Revision 1.61  2002/01/08 22:16:30  kloczek
- cleanups.

Revision 1.60  2002/01/08 22:12:13  alchemyx
- now it should generate UP and SMP version in one building
- still needs cleaning

Revision 1.59  2001/12/24 11:40:32  zagrodzki
- svgalib should not require svgalib-helper

Revision 1.58  2001/12/02 15:53:33  kloczek
- release 2.

Revision 1.57  2001/11/20 20:46:18  filon
- added using conditional _without_dist_kernel

Revision 1.56  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.55  2001/10/05 17:51:12  qboosh
- updated to 1.9.12, updated stderr patch
- kernel 2.4 module back to 2.4.x/misc (so make modules_install won't delete it)

Revision 1.54  2001/09/21 13:53:35  qboosh
- added version to svgalib-helper provide

Revision 1.53  2001/09/21 13:48:43  qboosh
- kernel.*svgalib_helper Provides: svgalib_helper (needed by base package)

Revision 1.52  2001/09/20 16:17:20  saq
- new kernel module naming scheme
- s/-/_/g in @... release suffix

Revision 1.51  2001/08/24 22:40:45  saq
- s/install -m644/cp/
- adapterized

Revision 1.50  2001/08/15 20:23:36  saq
- -helper-{smp,up} subpackage renamed to -helper
- using %_kernelsrcdir
- release 2
- STB

Revision 1.49  2001/08/09 22:35:17  saq
- conditional smp build
- seperated the module subpackage

Revision 1.48  2001/08/04 09:17:33  qboosh
- 1.9.11, updated stderr patch

Revision 1.47  2001/07/29 16:40:18  qboosh
- %_kernel24 definition is back

Revision 1.46  2001/07/26 16:50:25  saq
- don't use macros not available in standard rpm. Define them in the spec.
(_kernel_ver, _kernel24)

Revision 1.45  2001/07/24 12:38:06  saq
- added svgalib-kernver.patch

Revision 1.44  2001/07/23 22:22:52  saq
A group commit:
- %define _kernel_ver and _kernel24 removed (already in rpm.macros)
- kernel modules get a @%{_kernel_ver} release suffix and conflict wrong
kernel version
- other packages get a @%{_kernel_series} release suffix and conflict
wrong kernel series
- need a rebuilt RPM to build these

Revision 1.43  2001/05/26 17:27:44  qboosh
- 1.9.9, updated Source URL
- updated pld, DESTDIR and stderr patches, removed obsolete kernel-2.4 patch

Revision 1.42  2001/05/02 21:51:29  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.41  2001/03/19 10:35:05  kloczek
- cosmetics.

Revision 1.40  2001/03/08 22:51:32  qboosh
- kernel 2.4 compatibility changes (shouldn't break 2.2 compatibility)
- release 5

Revision 1.39  2001/02/20 17:20:04  qboosh
- use assembly on x86, use optimization on utils, lrmi, kernel module
- added examples (demos and threeDKit)
- release 4

Revision 1.38  2001/01/25 20:03:51  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.37  2001/01/22 13:08:26  kloczek
- release 3: rebuild for kernel 2.2.18.

Revision 1.36  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.35  2000/10/04 21:00:15  kloczek
- release 2,
- added BuildRequires: kernel-headers = 2.2.17 and also added abilities for
  conditional build without this rule when no_dist_kernel variable is used,
- adapterized ad added using new rpm automation suit,
- spec is now %%{debug} ready.[A

Revision 1.34  2000/07/27 17:46:35  baggins
- updated to 1.9.5

Revision 1.33  2000/06/16 17:11:11  baggins
- updated to 1.9.4

Revision 1.32  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.30  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.29  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.28  2000/03/17 08:08:06  kloczek
- cosmetics.

Revision 1.27  2000/03/16 19:57:21  baggins
- updated to 1.9.2

Revision 1.26  1999/12/29 19:21:23  kloczek
- adapter(ized),
- added DESTDIR style %install (DESTDIR patch),
- added stripping shared libraries,
- fontdata and textregs files used by restorefont and textmode scripts store
  in $TMPDIR did instead in /var/state/svgalib directory (removed tmp2var
  and added tmp2TMPDIR patch and %postun sctipt).

Revision 1.25  1999/12/28 21:37:09  alchemyx
- new version
- removed unneeded (i hope so) patch
- rest of patches fixed to suit current version
- cosmetics

Revision 1.24  1999/07/29 09:19:55  misiek
- new spec/updated specs

Revision 1.23  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
